Google Web Toolkit (Beta)
Search this site:

# Class MultiWordSuggestOracle.MultiWordSuggestion

public static class MultiWordSuggestOracle.MultiWordSuggestion
extends Object
implements SuggestOracle.Suggestion, IsSerializable
Suggestion class for MultiWordSuggestOracle.

## Constructors

MultiWordSuggestOracle.MultiWordSuggestion() | Constructor used by RPC.
MultiWordSuggestOracle.MultiWordSuggestion(String, String) | Constructor for `MultiWordSuggestion`.

## Methods

getDisplayString() | Gets the display string associated with this suggestion.
getValue() | Get the value associated with this suggestion.

## Constructor Detail

### MultiWordSuggestOracle.MultiWordSuggestion

public MultiWordSuggestOracle.MultiWordSuggestion()
Constructor used by RPC.

### MultiWordSuggestOracle.MultiWordSuggestion

public MultiWordSuggestOracle.MultiWordSuggestion(String value, String displayString)
Constructor for `MultiWordSuggestion`.

#### Parameters

value
  the value
displayString
  the display string

## Method Detail

### getDisplayString

public String getDisplayString()
Gets the display string associated with this suggestion. The interpretation of the display string depends upon the value of its oracle's SuggestOracle.isDisplayStringHTML().

#### Return Value

the display string

### getValue

public Object getValue()
Get the value associated with this suggestion.

#### Return Value

the value